package de.ivu.elect.business.system.control.files.strategies;

import java.util.Collections;
import java.util.List;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.system.control.ElectDemoSystem;
import de.ivu.elect.business.system.control.files.cleaner.FileCleaner;
import de.ivu.elect.business.system.control.files.cleaner.FileCleanerFinder;

@Specializes
public class NlFileCleanerFinder extends FileCleanerFinder {
  private static final long serialVersionUID = 1L;

  @Override
  public List<FileCleaner<?>> getFileCleaner() {
    if (ElectDemoSystem.isDemoSystem()) {
      return super.getFileCleaner();
    }
    return Collections.emptyList(); // ELECT-10191
  }

}
